Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.ee.jmx.jboss
Interface QuartzServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  QuartzService

    public interface QuartzServiceMBean

extends org.jboss.system.ServiceMBean

Interface exposed via JMX for MBean for configuring, starting, and binding to JNDI a Quartz Scheduler instance.

Sample MBean deployment descriptor: quartz-service.xml

Note: The Scheduler instance bound to JNDI is not Serializable, so you will get a null reference back if you try to retrieve it from outside the JBoss server in which it was bound. If you have a need for remote access to a Scheduler instance you may want to consider using Quartz's RMI support instead.

Author:
  Andrew Collins
See Also:
  `QuartzService`

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getJndiName()`
`void` | `setJndiName(String jndiName)`
`void` | `setProperties(String properties)`
`void` | `setPropertiesFile(String propertiesFile)`
`void` | `setStartScheduler(boolean startScheduler)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setJndiName

    void setJndiName(String jndiName)
                     throws Exception

  Throws:
    `Exception`

### getJndiName

    String getJndiName()

### setProperties

    void setProperties(String properties)

### setPropertiesFile

    void setPropertiesFile(String propertiesFile)

### setStartScheduler

    void setStartScheduler(boolean startScheduler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.